---
layout: docs
page_title: targets set-credential-sources - Command
description: >-
  The "targets set-credential-sources" command sets credential sources on target resources.
---

# targets set-credential-sources

Command: `targets set-credential-sources`

The `targets set-credential-sources` command lets you set credential sources on target resources.

## Example

This example sets a brokered credential source `clvlt_1234567890` on a target with the ID `ttcp_1234567890`:

```shell-session
$ boundary targets set-credential-sources -id ttcp_1234567890 -brokered-credential-source clvlt_1234567890
```

## Usage

<CodeBlockConfig hideClipboard>

```shell-session
$ boundary targets set-credential-sources [options] [args]
```

</CodeBlockConfig>

### Command options

- `-application-credential-source=<string>` - This option is deprecated.
Use `-brokered-credential-source` instead.

- `-brokered-credential-source=<string>` - The brokered credential source you want to set on the target.
Boundary returns the credential source to the user when it creates a connection.
You may specify multiple credential sources.
- `-id=<string>` - The ID of the target you want to set the credential source on.
- `-injected-application-credential-source=<string>` - The injected credential source you want to set on the target.
Boundary injects the credential source when it creates a connection.
You may specify multiple credential sources.
- `-version=<int>` - The version of the target to perform the operation on.
If you do not specify a version, the command performs a check-and-set automatically.

@include 'cmd-option-note.mdx'